Bug 1129553 - no GUI validation on Power Management password
Summary: no GUI validation on Power Management password
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.5.0
Assignee: Martin Perina
QA Contact: Petr Kubica
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 07:40 UTC by Eliraz Levi
Modified: 2016-02-10 19:32 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:34:33 UTC
oVirt Team: Infra


Attachments (Terms of Use)
screenshot (268.94 KB, image/png)
2014-08-13 07:40 UTC, Eliraz Levi
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31964 master MERGED webadmin: Add max length validation to PM password Never
oVirt gerrit 32151 ovirt-engine-3.5 MERGED webadmin: Add max length validation to PM password Never

Description Eliraz Levi 2014-08-13 07:40:06 UTC
Created attachment 926294 [details]
screenshot

Description of problem:
when creating new host, in Power Management, if password is too long the frame is not colored in red

Version-Release number of selected component (if applicable):
master branch

How reproducible:
always

Steps to Reproduce:
1.create a new host
2. in power management, click enable power management
3. insert long password ( > 50 chars)
4.click ok

Actual results:
pop up message:
operation cancelled: Error while executing action: size must be between 0 and 50

Expected results:
frame need to be colored in red

Additional info:

Comment 1 Petr Kubica 2014-09-16 09:49:08 UTC
Verified in 3.5.0-0.0.master.20140911085455.gite1c5ffd.el6

Comment 2 Sandro Bonazzola 2014-10-17 12:34:33 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.